
From: NeilBrown <neilb@cse.unsw.edu.au>

Simplify verify_clientid out of existance.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4state.c |   18 ++----------------
 1 files changed, 2 insertions(+), 16 deletions(-)

diff -puN fs/nfsd/nfs4state.c~nfsd4-simplify-verify_clientid fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-simplify-verify_clientid	2005-03-07 23:55:35.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2005-03-07 23:55:35.000000000 -0800
@@ -1247,21 +1247,6 @@ find_openstateowner_str(unsigned int has
 	return 0;
 }
 
-/* see if clientid is in confirmed hash table */
-static int
-verify_clientid(struct nfs4_client **client, clientid_t *clid) {
-
-	struct nfs4_client *clp;
-
-	clp = find_confirmed_client(clid);
-	if (clp) {
-		*client = clp;
-		return 1;
-	}
-	*client = NULL;
-	return 0;
-}
-
 /* search file_hashtbl[] for file */
 static int
 find_file(unsigned int hashval, struct inode *ino, struct nfs4_file **fp) {
@@ -1514,7 +1499,8 @@ nfsd4_process_open1(struct nfsd4_open *o
 		 * client's lease expiring.
 		 */
 		status = nfserr_expired;
-		if (!verify_clientid(&clp, clientid))
+		clp = find_confirmed_client(clientid);
+		if (clp == NULL)
 			goto out;
 	}
 	status = nfserr_resource;
_
